## ros-noetic-jsk-gui-msgs 4.3.2

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_gui_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs sensor_msgs geometry_msgs)

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

add_message_files(FILES
Action.msg
MagneticField.msg
Touch.msg
AndroidSensor.msg
Gravity.msg
MultiTouch.msg
TouchEvent.msg
DeviceSensor.msg
Tablet.msg
VoiceMessage.msg
SlackMessage.msg
)

add_service_files(FILES
Query.srv
YesNo.srv
)

generate_messages(
  DEPENDENCIES std_msgs sensor_msgs geometry_msgs
)

catkin_package(
  CATKIN_DEPENDS std_msgs sensor_msgs geometry_msgs message_runtime
  DEPENDS
  INCLUDE_DIRS
  LIBRARIES
)

=== debian/changelog ===
ros-noetic-jsk-gui-msgs (4.3.2-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 02 May 2020 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.3.1-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Nov 2017 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.3.0-1focal) focal; urgency=high

  * [API BREAK] Add mesage property to YesNo.srv (#18 <https://github.com/jsk-ros-pkg/jsk_common_msgs/issues/18>)
  * Contributors: Kentaro Wada

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Fri, 14 Jul 2017 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.2.0-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 27 Jun 2017 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.1.1-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 16 May 2017 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.1.0-1focal) focal; urgency=high

  * [jsk_gui_msgs/msg/SlackMessage.msg] Add msg for posting to slack (#13 <https://github.com/jsk-ros-pkg/jsk_common_msgs/issues/13> )
  * Contributors: Kentaro Wada

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Wed, 26 Oct 2016 15:00:00 -0000

ros-noetic-jsk-gui-msgs (4.0.0-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 20 Sep 2016 15:00:00 -0000

ros-noetic-jsk-gui-msgs (3.0.0-1focal) focal; urgency=high

  * Add YesNo.srv
  * Contributors: Kentaro Wada

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Fri, 17 Jun 2016 15:00:00 -0000

ros-noetic-jsk-gui-msgs (2.0.1-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Wed, 20 Jan 2016 15:00:00 -0000

ros-noetic-jsk-gui-msgs (2.0.0-1focal) focal; urgency=high

  * move from jsk_common to jsk_common_msgs

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Thu, 18 Jun 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.72-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 06 Jun 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.71-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 16 May 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.70-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Thu, 07 May 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.69-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.68-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 04 May 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.67-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 02 May 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.66-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Thu, 02 Apr 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.65-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Wed, 01 Apr 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.64-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 28 Mar 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.63-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Wed, 18 Feb 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.62-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Feb 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.61-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 10 Feb 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.60-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.59-1focal) focal; urgency=high

  * Remove rosbuild files
  * Contributors: Ryohei Ueda

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 02 Feb 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.58-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 06 Jan 2015 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.57-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 22 Dec 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.56-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 16 Dec 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.55-1focal) focal; urgency=high

  * delete Imu and DeviceSensorAll msgs
  * Contributors: Yuto Inagaki

 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 Dec 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.54-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Fri, 14 Nov 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.53-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Fri, 31 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.52-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.51-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.50-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.49-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sun, 12 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.48-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Sat, 11 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.47-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Tue, 07 Oct 2014 15:00:00 -0000

ros-noetic-jsk-gui-msgs (1.0.46-1focal) focal; urgency=high



 -- KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>  Thu, 02 Oct 2014 15:00:00 -0000



=== debian/control ===
Source: ros-noetic-jsk-gui-msgs
Section: misc
Priority: optional
Maintainer: KazutoMurase <murase@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-jsk-gui-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: jsk_gui_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jsk-gui-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
